*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-family: "Popins", sans-serif;
}

body {
  background-color: #e5e5e5;
}

.font-style {
  font-family: "Poppins", sans-serif;
}

.margin-left {
  margin-left: 5px;
}

.width-100 {
  width: 100%;
}

.color {
  color: #7f8cff;
}

.icon {
  color: #505f79;
}

.medium {
  height: 21px;
}

.flex {
  -webkit-display: flex;
  display: flex;
}

.flex-column {
  -webkit-flex-direction: column;
  flex-direction: column;
}

.row-reverse {
  flex-direction: row-reverse;
  gap: 40px;
  animation: moveInRight 3s ease-in-out;
}

.mobile-menu {
  display: none;
  position: fixed;
  background: #6070ffcf;
  width: 100%;
  height: 100vh;
  gap: 40px;
  top: 0;
  flex-direction: column;
  padding: 30px;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  animation: moveInBottomLeft;
}

.mobile-menu-close {
  justify-content: flex-end;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  background-color: #fff;
}

.menu {
  display: none;
}

a {
  text-decoration: none;
}

.mobile-menu > a {
  font-style: normal;
  font-weight: 600;
  font-size: 32px;
  line-height: 44px;
  color: #fff;
  text-decoration: none;
}

.logo-text {
  font-weight: 700;
  color: #6070ff;
}

.menu-icon {
  cursor: pointer;
}

.container {
  width: 100%;
  height: 75vh;
  background-image: url("./assets/images/backgroundImage.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 0 bottom;
  background-color: #fff;
  border-radius: 0 0 0 80px;
}

.main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 75vh;
  padding: 38px;
  margin-bottom: 100px;
  animation: moveInBottom 3s ease-in-out;
}

.main-heading {
  line-height: 1.5em;
}

.main-description {
  font-weight: 300;
}

.main-connect {
  font-weight: 100;
  line-height: 3.5rem;
}

.main-socials {
  display: flex;
  justify-content: space-around;
  width: 58%;
}

.main-socials li {
  list-style: none;
}

.main-socials-1 {
  display: flex;
  justify-content: space-around;
  width: 58%;
}

.main-projects {
  display: grid;
  align-items: center;
  justify-content: center;
}

.main-project-1 {
  width: 327px;
  height: 649px;
  border: 1px solid #dfe1e6;
  border-radius: 16px;
  margin: auto;
  background-color: #fff;
  margin-bottom: 55px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

.card {
  margin-top: -7%;
}

.main-project-1 img {
  width: 100%;
}

.card h3 {
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  margin-top: 19px;
}

.card h4 {
  font-weight: 600;
}

.card li {
  font-weight: 600;
  color: #7a869a;
}

.card-highlights {
  margin-top: 20px;
  display: flex;
  align-items: center;
}

.card-highlights ul {
  display: flex;
}

.desc {
  margin-left: 30px;
}

.card-description {
  margin-top: 20px;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
}

.card-languages {
  margin-top: 20px;
}

.card-languages li {
  list-style: none;
  background-color: #ebebff;
  color: #6070ff;
  padding: 4px 12px;
  border-radius: 8px;
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
  position: relative;
  float: left;
  margin-left: 5px;
}

.lang-desc {
  margin-left: 12px;
}

section button {
  background-color: #fff;
  color: #6070ff;
  font-weight: 500;
  margin-top: 20px;
  width: 124px;
  height: 48px;
  border: 1px solid #6070ff;
  border-radius: 8px;
}

.card button {
  background-color: #fff;
  color: #6070ff;
  font-weight: 500;
  margin-top: 20px;
  width: 124px;
  height: 48px;
  border: 1px solid #6070ff;
  border-radius: 8px;
}

.button {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  height: 3rem;
  text-align: center;
  letter-spacing: 0.03em;
  font-weight: 500;
  font-size: 1.0625rem;
  line-height: 1.5rem;
  text-transform: capitalize;
  border-radius: 0.5rem;
  margin-top: 1.5rem;
  background-color: transparent;
}

.button:hover {
  background-color: #6070ff;
  color: #fff;
}

.button:focus {
  border: 0.0625rem solid #2230d2;
  background-color: #2230d2;
  color: #fff;
}

.button-enabled {
  color: #396df2;
  border: 0.0625rem solid #6070ff;
}

.button:disabled,
.button[disabled] {
  border: 0.0625rem solid #5e6c84;
  background-color: #fff;
  color: #5e6c84;
}

.about {
  background-color: #fff;
  padding: 20px;
  border-radius: 0 80px 0 0;
}

.about h2 {
  margin-top: 30px;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  text-align: left;
}

.about p {
  margin-top: 30px;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
}

.connect-socials {
  margin-left: 16px;
}

.btn:hover {
  cursor: pointer;
  background-color: #6070ff;
  color: #fff;
}

.languages {
  margin-top: 30px;
}

.languages h3 {
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  margin-bottom: 30px;
}

.languages .vector {
  cursor: pointer;
  width: 20px;
  height: 11px;
}

.languages-heading {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}

.languages li {
  list-style: none;
}

.languages a {
  text-decoration: none;
  color: #000;
}

.language {
  display: flex;
  align-items: center;
  background-color: #f7f7f9;
  padding: 10px;
  margin-bottom: 15px;
}

.language img {
  width: 48px;
  height: 48px;
}

.language-text {
  margin-left: 12px;
  align-self: center;
}

.language h4 {
  font-style: normal;
  font-weight: 500;
  font-size: 15px;
  line-height: 20px;
}

.frameworks {
  margin-top: 30px;
}

.frameworks h3 {
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
}

.frameworks .vector {
  cursor: pointer;
  width: 20px;
  height: 11px;
}

.framework-list {
  margin-bottom: 10px;
  padding: 14px;
  border-bottom: 1px solid #dfe1e6;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer {
  display: flex;
  background-image: url("./assets/images/background-2.png");
  background-color: #fff !important;
  background-repeat: no-repeat;
  background-size: cover;
  justify-content: center;
}

form {
  width: 100%;
}

.error {
  color: #f00;
  font-size: 1rem;
  margin-top: 5px;
}

.form-fieldset {
  border: none;
  margin-right: 0.9375rem;
}

.contact-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 6.4375rem 1.5rem 0 1.5rem;
  background-image: url("./assets/images/background-1.png");
  background-position-x: right;
  background-repeat: no-repeat;
  background-size: contain;
}

.contact-wrapper h2 {
  color: #fff;
  font-weight: bold;
  font-size: 2.5rem;
  line-height: 3.25rem;
  margin-bottom: 0.75rem;
}

.contact-description {
  font-size: 1.25rem;
  line-height: 1.75rem;
  text-align: center;
  color: #ebebff;
  width: 100%;
  padding: 0.7rem;
}

.contact-wrapper input {
  background-color: #fff;
  width: 100%;
  height: 3rem;
}

.contact-wrapper input[type="text"] {
  padding-left: 1rem;
  margin-bottom: 1.25rem;
  border-radius: 0.5rem;
  border: 0.0625rem solid #dfdbdc;
}

.contact-wrapper input[type="email"] {
  padding-left: 1rem;
  margin-bottom: 1.25rem;
  border-radius: 0.5rem;
  border: 0.0625rem solid #dfdbdc;
}

.contact-wrapper input::placeholder {
  color: #172b4e;
}

.contact-wrapper textarea {
  width: 100%;
  padding-top: 1rem;
  padding-left: 1rem;
  margin-bottom: 1.25rem;
  border-radius: 0.5rem;
  border: 0.0625rem solid #dfdbdc;
}

#message {
  padding-left: 1rem;
  margin-bottom: 1.25rem;
  border-radius: 0.5rem;
  border: 0.0625rem solid #dfdbdc;
}

#message::-webkit-input-placeholder {
  font-style: normal;
  font-weight: 400;
  font-size: 0.9375rem;
  line-height: 1.5rem;
}

.contact-button {
  background-color: #fff;
  color: #6070ff;
  font-weight: 500;
  font-size: 1.0625rem;
  margin-bottom: 20px;
  width: fit-content;
  height: 48px;
  border: 1px solid #6070ff;
  border-radius: 8px;
  padding: 0.75rem 1rem;
  animation: moveInBottom 5s ease-out 0.75s;
  animation-fill-mode: backwards;
}

.contact-button:hover {
  background-color: #6070ff;
  color: white;
}

.modal {
  padding: 1rem;
  display: none;
  width: 100%;
  height: 100vh;
  position: fixed;
  top: 0;
  z-index: 99999;
  background-color: #dededebb;
  backdrop-filter: blur(0.3125rem);
  -webkit-backdrop-filter: blur(0.3125rem);
  -moz-backdrop-filter: blur(0.3125rem);
}

.modal-wrap {
  padding: 1rem;
  background-color: #fff;
  border: 1px solid #dfe1e6;
  border-radius: 16px;
  justify-content: flex-start;
  overflow: scroll;
}

.modal-header {
  justify-content: space-between;
  align-items: center;
}

.modal-title {
  font-size: 2rem;
  font-weight: 700;
  line-height: 2.75rem;
  color: #172b4d;
  text-transform: capitalize;
}

.modal-content-wrapper {
  gap: 0.75rem;
}

.modal-content-links {
  justify-content: space-around;
  align-items: center;
  gap: 1.25rem;
  width: 100%;
}

.modal-description {
  line-height: 1.75rem;
  width: 100%;
  padding: 0.7rem;
  text-align: start;
}

.modal-content-links > a {
  align-items: center;
  justify-content: center;
  font-weight: 500;
  font-size: 15px;
  line-height: 20px;
  flex: 1;
}

.work-categories {
  list-style: none;
  display: flex;
}

.work-period ul {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  padding-left: 0;
}

.work-categories li {
  width: fit-content;
  padding: 0.25rem 0.75rem;
  background: #ebebff;
  border-radius: 0.5rem;
  color: #6070ff;
}

.work-period ul li {
  margin: 0.625rem 0.625rem 0;
  font-weight: 600;
  font-size: 0.8125rem;
  line-height: 1rem;
}

.work-categories li:not(:first-child) {
  margin-left: 0.5rem;
  color: #7a869a;
}

.work-period ul li:first-child {
  list-style: none;
  margin-left: 0;
  text-transform: uppercase;
}

@media screen and (min-width: 768px) {
  .menu-icon {
    display: none;
  }

  .menu a {
    display: block;
    font-weight: 500;
    font-size: 1rem;
    line-height: 1.25rem;
    color: #344563;
    width: 50%;
    text-decoration: none;
    justify-self: center;
  }

  .menu a:hover {
    color: #6070ff;
  }

  .menu a.active {
    color: #6070ff;
  }

  nav {
    display: flex;
    width: 100%;
    justify-content: space-between;
    padding-left: 30px;
    position: fixed;
    top: 0;
  }

  .menu {
    display: flex;
    justify-content: space-around;
    width: 20%;
    justify-self: center;
    margin-right: 10%;
  }

  .logo-text {
    margin-left: 10%;
  }

  .main {
    width: 60%;
    margin: auto;
    margin-top: 65px;
    margin-bottom: 50px;
  }

  .main-socials-1 {
    display: flex;
    justify-content: space-around;
    width: 20%;
  }

  .main-description {
    font-weight: 300;
    font-size: 20px;
    line-height: 28px;
  }

  .work-item-1 {
    width: 1196px;
    height: 496px;
    display: flex;
    flex-wrap: nowrap;
    gap: 20px;
    margin-bottom: 10%;
    animation: moveInLeft 3s ease-in-out;
  }

  .work-item-1:hover {
    transform: translate(10px, -10px);
  }

  .work-item-2 {
    width: 1196px;
    height: 496px;
    display: flex;
    flex-wrap: nowrap;
    margin-bottom: 10%;
  }

  .work-period ul {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    padding-left: 0;
    margin: 0.625rem 0.625rem 0;
    font-weight: 600;
    font-size: 0.8125rem;
    line-height: 1rem;
  }

  .work-categories ul li {
    padding: 0.25rem 0.75rem;
    background: #ebebff;
    border-radius: 0.5rem;
    color: #6070ff;
  }

  .work-item-2:hover {
    transform: translate(10px, -10px);
  }

  .work-period ul li {
    margin: 0.625rem 0.625rem 0;
    font-weight: 600;
    font-size: 0.8125rem;
    line-height: 1rem;
  }

  .work-categories li:not(:first-child) {
    margin-left: 0.5rem;
    color: #6070ff;
  }

  .work-card {
    width: 544px;
    height: 448px;
    margin: auto;
    padding: 20px;
    line-height: 2;
    display: flex;
    flex-direction: column;
  }

  .main-project-1 img {
    width: 500px;
  }

  .card-description {
    margin-bottom: 20px;
  }

  .card-languages {
    margin-bottom: 20px;
  }

  .about {
    display: flex;
  }

  .about-description {
    width: 50%;
    padding: 35px;
    margin: 7%;
  }

  .main-socials {
    width: 30%;
  }

  .about-languages {
    width: 50%;
    padding: 35px;
    margin: 7%;
    margin-left: -6%;
  }

  .languages ul {
    display: flex;
    justify-content: space-between;
    width: 50%;
  }

  .m-left {
    margin-left: 10px;
  }

  .language {
    flex-direction: column;
    width: 112px;
    height: 120px;
  }

  .language img {
    position: relative;
    left: -13px;
  }

  .javascript {
    position: relative;
    top: 20px;
    left: -6px;
  }

  .html {
    position: relative;
    top: 20px;
    left: -21px;
  }

  .contact-description {
    width: 50%;
  }

  form {
    width: 40%;
  }

  .web-centered {
    text-align: center;
  }

  .modal {
    overflow: scroll;
    align-items: center;
    padding: 4.25rem;
  }

  .modal-wrap {
    width: 80%;
    height: auto;
    overflow: unset;
  }

  .modal-content-wrapper {
    gap: 2rem;
  }

  .modal-content-text {
    flex-direction: row;
    gap: 2.25rem;
    padding-bottom: 3.875rem;
  }
}

@keyframes moveInLeft {
  0% {
    opacity: 0;
    transform: translateX(-10rem);
  }

  80% {
    transform: translateX(2rem);
  }

  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes moveInRight {
  0% {
    opacity: 0;
    transform: translateX(10rem);
  }

  80% {
    transform: translateX(-2rem);
  }

  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes moveInBottom {
  0% {
    opacity: 0;
    transform: translateY(3rem);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes moveInBottomLeft {
  0% {
    opacity: 0;
    transform: translateZ(3rem);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
